Skip to main content
GET
/
rewards
/
claim-schedules
List claim schedules
curl --request GET \
  --url https://api.example.com/rewards/claim-schedules \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "payout_group_id": "<string>",
      "schedule_type": "DAILY",
      "next_run_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_page_cursor": "<string>"
}
OAuth Scope
rewards:read_claims_schedule

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

payout_group_id
string

Optionally filter by payout group.

limit
integer<int32>

Number of results to return. Defaults to 100. Maximum 1000.

page_cursor
string

Cursor for getting the next page of results.

Response

200 - application/json

A successful response.

items
object[]

Claim schedules in this page of results.

next_page_cursor
string

Token to retrieve the next page of results, or empty if there are no more results.